package com.ether.dao;

import com.ether.PersistenceException;
import com.ether.Plateform;
import com.ether.tapas.Observatory;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Restrictions;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

/**
 * @author vmipsl
 * @date may 2011
 * Example for a DAO
 */
public class ObservatoryDAOImpl
        extends DomainAccessObjectImpl<Observatory, Integer>
        implements ObservatoryDAO
{
    protected ObservatoryDAOImpl()
    {
        super( Observatory.class );
    }

//    @Nullable
//    public Observatory getPlateformById( @NotNull final Integer plateformId )
//            throws PersistenceException
//    {
//        final DetachedCriteria criteria = DetachedCriteria.forClass( Plateform.class )
//                .add( Restrictions.idEq( plateformId ) );
//
//        return selectByCriteria( Plateform.class, criteria );
//    }


    @NotNull
    public List<Observatory> getAllObservatories()
            throws PersistenceException
    {
        final DetachedCriteria criteria = DetachedCriteria.forClass( Observatory.class );
        return selectAllByCriteria( Observatory.class, criteria );
    }
}