package com.ether;

import com.ether.tapas.Observatory;
import com.ether.tapas.Tapas;
import org.jdom.Document;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

/**
 * @author rboipsl
 * @date 02 march 2012
 */
public interface TapasService
        extends BackofficeService
{
    public void createXMLRequest( @NotNull final Tapas tapas );

    public void createXMLFile( final String fichier, final Document document );

    public List<Observatory> getAllObservatories() throws ServiceException;
}
