package com.ether.tapas;

import com.ether.Pair;
import org.jetbrains.annotations.NotNull;

/**
 * @author vmipsl
 * @date 08 march 2012
 */
public class Instrument
{
    @NotNull
    public Pair<String, String> getSpectralChoice()
    {
        return _spectralChoice;
    }

    public void setSpectralChoice( @NotNull final Pair<String, String> spectralChoice )
    {
        _spectralChoice = spectralChoice;
    }

    @NotNull
    public String getSpectralRange()
    {
        return _spectralRange;
    }

    public void setSpectralRange( @NotNull final String spectralRange )
    {
        _spectralRange = spectralRange;
    }

    @NotNull
    public Pair<String, Long> getIlsfChoice()
    {
        return _ilsfChoice;
    }

    public void setIlsfChoice( @NotNull final Pair<String, Long> ilsfChoice )
    {
        _ilsfChoice = ilsfChoice;
    }

    @NotNull
    public String getIlsfPath()
    {
        return _ilsfPath;
    }

    public void setIlsfPath( @NotNull final String ilsfPath )
    {
        _ilsfPath = ilsfPath;
    }

    @NotNull
    public Pair<String, Long> getResolvingPower()
    {
        return _resolvingPower;
    }

    public void setResolvingPower( @NotNull final Pair<String, Long> resolvingPower )
    {
        _resolvingPower = resolvingPower;
    }

    @NotNull
    public Pair<String, Long> getSamplingRatio()
    {
        return _samplingRatio;
    }

    public void setSamplingRatio( @NotNull final Pair<String, Long> samplingRatio )
    {
        _samplingRatio = samplingRatio;
    }

    @NotNull
    private Pair<String, String> _spectralChoice;
    @NotNull
    private String _spectralRange;
    @NotNull
    private Pair<String, Long> _ilsfChoice;
    @NotNull
    private String _ilsfPath;
    @NotNull
    private Pair<String, Long> _resolvingPower;
    @NotNull
    private Pair<String, Long> _samplingRatio;
}
