package com.ether.tapas;

import org.jetbrains.annotations.NotNull;

/**
 * @author rboipsl
 * @date 19 march 2012
 */
public class Observatory
{
    @NotNull
    public String getId()
    {
        return _id;
    }

    public void setId( @NotNull final String id )
    {
        _id = id;
    }

    @NotNull
    public String getName()
    {
        return _name;
    }

    public void setName( @NotNull final String name )
    {
        _name = name;
    }

    @NotNull
    public Coordinate getLongitude()
    {
        return _longitude;
    }

    public void setLongitude( @NotNull final Coordinate longitude )
    {
        _longitude = longitude;
    }

    @NotNull
    public Coordinate getLatitude()
    {
        return _latitude;
    }

    public void setLatitude( @NotNull final Coordinate latitude )
    {
        _latitude = latitude;
    }

    @NotNull
    public Coordinate getAltitude()
    {
        return _altitude;
    }

    public void setAltitude( @NotNull final Coordinate altitude )
    {
        _altitude = altitude;
    }

    @NotNull
    private String _id;
    @NotNull
    private String _name;
    @NotNull
    private Coordinate _longitude;
    @NotNull
    private Coordinate _latitude;
    @NotNull
    private Coordinate _altitude;
}
